#===========================================================================
# allowed DPIs
#===========================================================================
dpis: [254, 190, 127, 72, 56]

#===========================================================================
# allowed Formats
#===========================================================================
formats: ['*']

#===========================================================================
# the allowed scales
#===========================================================================
scales:
  - 500
  - 750
  - 1000
  - 1250
  - 1500
  - 1750
  - 2000
  - 2250
  - 2500
  - 2750
  - 3000
  - 3250
  - 3500
  - 3750
  - 4000
  - 4250
  - 4500
  - 4750
  - 5000
  - 5500
  - 6000
  - 6500
  - 7000
  - 7500
  - 8000
  - 8500
  - 9000
  - 9500
  - 10000
  - 12500
  - 15000
  - 17500
  - 20000
  - 22500
  - 25000
  - 30000
  - 35000
  - 40000
  - 45000
  - 50000
  - 75000
  - 100000
  - 200000
  - 500000
  - 1000000
  - 2000000
  - 4000000

outputFilename: 'flys-${date}.pdf'

#===========================================================================
# the list of allowed hosts
#===========================================================================
hosts:
  - !localMatch
    dummy: true
  - !dnsMatch
    host: wsvmapserv.wsv.bund.de
    port: 80
  - !dnsMatch
    host: tile.openstreetmap.org
    port: 80
  - !dnsMatch
    host: www.pegelonline.wsv.de
    port: 80
  - !dnsMatch
    host: geo4.service24.rlp.de
    port: 80
  # Catch all
  #- !dnsMatch
  #  host: #regex that catches host plus path
  #  port: 80
  - !dnsMatch
    host: osm.intevation.de
    port: 80
  - !dnsMatch
    host: osm.wheregroup.com
    port: 80
  - !dnsMatch
    host: geoportal.bafg.de
    port: 80

layouts:
  #===========================================================================
  A4 landscape:
  #===========================================================================
    metaData:
      title: '${title}'
      author: 'Flusshydrologische Software'
      subject: 'Kartendruck A4 Quer'
      keywords: 'map,print'
      creator: 'd4e-river'

    #-------------------------------------------------------------------------
    mainPage:
       # 842 * 595
      pageSize: A4
      landscape: true
      marginLeft: 20
      marginRight: 20
      marginTop: 20
      marginBottom: 20
      items:
        - !map
          absoluteX: 20
          align: left
          absoluteY: 575
          width: 592
          height: 555
          spacingAfter: 0
        #Flys and BFG Logo
        - !columns
          absoluteX: 747
          absoluteY: 100
          width: 60
          items:
            - !image
              maxWidth: 60
              maxHeight: 60
              url: '${configDir}/../images/FLYS_Logo.png'
        - !columns
          absoluteX: 732
          absoluteY: 160
          width: 90
          items:
            - !image
              maxWidth: 90
              maxHeight: 60
              url: '${configDir}/../images/bfg_logo.gif'
        # Legend header, a bit hackish with the border
        # but I don't know how to put two rows in a column and I don't want to
        # use tables
        - !columns
          absoluteX: 612
          absoluteY: 575
          width: 200
          items:
            - !text
              text: "Legende:"
              align: center
          config:
            borderWidthLeft: 1
            borderWidthRight: 1
            borderWidthTop: 1
            borderWidthBottom: 0
        # The legend
        - !columns
          absoluteX: 612
          absoluteY: 564
          width: 200
          items:
            - !legends
              maxHeight: 0
              maxWidth: 0
              maxIconHeight: 0
              inline: false
              classIndentation: 10
              layerSpace: 5
              classSpace: 2
              layerFont: Helvetica
              layerFontSize: 0
              classFont: Helvetica
              classFontSize: 0
              fontEncoding: Cp1252
              columnMargin: 2
              defaultScale: 0.7
          config:
            borderWidthLeft: 1
            borderWidthRight: 1
            borderWidthTop: 0
            borderWidthBottom: 1
